digiKam Developer Documentation: Digikam::AltLangStrEdit Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Slots | Protected Member Functions | Friends | List of all members
Digikam::AltLangStrEdit Class Reference
Inheritance diagram for Digikam::AltLangStrEdit:

## Public Slots
void | slotEnabledInternalWidgets (bool)
| Can be used to turn on/off visibility of internal widgets.

## Signals
void | signalChanged (const QString &lang, const QString &text)
| Emitted when the user changes the text for the current language.
void | signalSelectionChanged (const QString &lang)
| Emitted when the current language changed.
void | signalValueAdded (const QString &lang, const QString &text)
| Emitted when an entry for a new language is added.
void | signalValueDeleted (const QString &lang)
| Emitted when the entry for a language is removed.

## Public Member Functions
| AltLangStrEdit (QWidget *const parent, unsigned int lines=3)
| Default constructor.
void | addCurrent ()
| Ensure that the current language is added to the list of entries, even if the text is empty.
bool | asDefaultAltLang () const
QString | currentLanguageCode () const
QString | defaultAltLang () const
QString | languageCode (int index) const
uint | linesVisible () const
void | reset ()
| Reset widget, clear all entries.
void | setCurrentLanguageCode (const QString &lang)
void | setLinesVisible (uint lines)
| Fix lines visible in text editor to lines.
void | setPlaceholderText (const QString &msg)
void | setTitle (const QString &title)
| Create a title widget with a QLabel and relevant text.
void | setTitleWidget (QWidget *const twdg)
| Create a title with a specific widget instance (aka a QCheckBox for ex).
virtual void | setValues (const MetaEngine::AltLangMap &values)
DTextEdit * | textEdit () const
QWidget * | titleWidget () const
| Return the current title widget instance.
MetaEngine::AltLangMap & | values () const

## Static Public Member Functions
static QStringList | allLanguagesRFC3066 ()
| Return all language codes available following the RFC 3066.
static QString | languageNameRFC3066 (const QString &code)
| Return the literal name of RFC 3066 language code (format FR-fr for ex).

## Protected Slots
void | slotDeleteValue ()
void | slotSelectionChanged ()
void | slotTextChanged ()

## Protected Member Functions
void | changeEvent (QEvent *e) override
void | populateLangAltListEntries ()

## Friends
class | Private

## Constructor & Destructor Documentation

## ◆ AltLangStrEdit()

Digikam::AltLangStrEdit::AltLangStrEdit | ( | QWidget *const | parent,
|  | unsigned int | lines = `3`
| ) |  |
| explicit

Use lines to use a specific number of lines with text editor.

## Member Function Documentation

## ◆ addCurrent()

void Digikam::AltLangStrEdit::addCurrent | ( |  | ) |

signalValueAdded() will be emitted.

## ◆ setLinesVisible()

void Digikam::AltLangStrEdit::setLinesVisible | ( | uint | lines | ) |

If zero, do not fix layout to number of lines visible.

## ◆ setTitle()

void Digikam::AltLangStrEdit::setTitle | ( | const QString & | title | ) |

If a title widget already exists, it's replaced.

## ◆ setTitleWidget()

void Digikam::AltLangStrEdit::setTitleWidget | ( | QWidget *const | twdg | ) |

If a title widget already exists, it's replaced.

## ◆ slotEnabledInternalWidgets

void Digikam::AltLangStrEdit::slotEnabledInternalWidgets | ( | bool | b | ) |
| slot

This do not includes the title widget.

## ◆ titleWidget()

QWidget * Digikam::AltLangStrEdit::titleWidget | ( |  | ) | const

If no previous call of setTitle() or setWidgetTitle(), this function will return nullptr.